<div ng-init="vm.init()">
  <div class="modal-header">
      <h3 class="modal-title" id="modal-title"> Category</h3>
  </div>
    <div class="modal-body" id="modal-body">
        <div class="modal-body" id="modal-body">
            <form ng-submit="NewCategory(selectedCat)" name="catForm">
              <div class="form-group">
                <label >Name</label>
                <input type="text" class="form-control" ng-model="selectedCat.categoryName" id="exampleInputText" placeholder="Category Name ">
              </div>

              <div class="form-group" ng-show="!(selectedCat.categoryId)" ng-init="selectedCat.parentId = selectedCat.parentId || '0'">
                <label>Parent Category</label>
                <select class="form-control" ng-model="selectedCat.parentId">
                    <option value="0">Select</option>
                    <option ng-repeat="parCatt in parent" value="{{parCatt.categoryId}}">{{parCatt.categoryName}}</option>
                </select>
              </div>

              <div class="form-group">
                <label >Description</label>
                <input type="text" class="form-control" ng-model="selectedCat.categoryDescription" id="exampleInputText" placeholder="Category Description">
              </div>
              <div class="form-group">
                <label >CSS</label>
                <input type="text" class="form-control" ng-model="selectedCat.categoryCss.css" id="exampleInputText" placeholder="Category css">
              </div>
              <div class="form-group">
                <label >Images</label>
                <div class="cattImg">
                    <div class="img prov_img_list col-md-3" ng-repeat="image in selectedCat.categoryCss.imageUrl">
                      <img class="col-md-12 " width="50" height="50" ng-src="{{image}}" alt="Images">
                      <div class="org_delete_img">
                          <i class="glyphicon glyphicon-plus-sign add_img"></i>
                          <button class="org_add_button" ng-click="deleteFile(selectedCat.categoryCss, $index)"></button>
                      </div>
                    </div>
                
                  <i class="fa fa-plus-circle fa-lg par-edit par-comm" ng-click="vm.selectFile(selectedCat)"></i>
                  <input type="file" style="display:none" id="file" name='file[]' onchange="angular.element(this).scope().uploadImage(this)" multiple/>
                </div>
              </div>
            <div class="modal-footer">
                <button class="btn btn-info" type="submit" ng-disabled="catForm.$invalid">Submit</button>
                <button class="btn btn-default" type="button" ng-click="cancel()">Cancel</button>
            </div>
        </form>
    </div>
  </div>
</div>
